
  <div class="container-data">
    <div class="create-container border">
      <div class="title-header">
        <h4>Création d’un item</h4>
      </div>
      <div class="form-container">
        <div class="input-container">
          <form class="example-form">
            <input class="input-create" [(ngModel)]="newItem.img" name="img" placeholder="Image" type="text">

            <input class="input-create" [(ngModel)]="newItem.name" name="name" placeholder="Nom" type="text">

            <input class="input-create" [(ngModel)]="newItem.description" name="description" placeholder="Description" type="text">

            <select class="input-create select" [(ngModel)]="newItem.category" name="category" id="category-select">
              <option value="">Choisir une catégorie</option>
              <option value="beer">Bières</option>
              <option value="hotDrink">Boissons chaudes</option>
              <option value="coktails">Coktails</option>
              <option value="plates">Plateaux</option>
              <option value="soft">Softs</option>
              <option value="wine">Vins</option>
          </select>

            <input class="input-create" name="price" [(ngModel)]="newItem.price" placeholder="Prix" type="number">
          </form>
         </div>
        <div class="chips-container">
          <span>Quantité :</span>
          <mat-chip-list aria-label="Quantité"
          [multiple]="true"
          selectable>
            <mat-chip *ngFor="let option of options"
            (click)="toggleChip(option)"
            [selected]="chips.has(option)">{{option}}</mat-chip>
          </mat-chip-list>
        </div>
      </div>
      <!-- <button mat-button>Mettre à jour</button> -->

      <button class="btn-filled success" mat-button (click)="create()">Créer</button>
    </div>
    <mat-tab-group (selectedTabChange)="getTab($event)">
        <mat-tab *ngFor="let item of tabList" [label]="item.name" >
          
          <table mat-table
            [dataSource]="dataSource" multiTemplateDataRows
            class="mat-elevation-z8">
          <ng-container matColumnDef="{{column}}" *ngFor="let column of displayedColumns">
            <th mat-header-cell *matHeaderCellDef> {{column}} </th>
            <td mat-cell *matCellDef="let element"> 
             <span>{{element[column]}}</span>
             <span *ngIf="column === 'action'">
              <mat-icon aria-hidden="false" (click)="$event.stopPropagation()" aria-label="Icon plus d'option" class="more-option" [matMenuTriggerFor]="menuItem" [matMenuTriggerData]="{itemSelected: element}">more_vert</mat-icon>
             </span>
            </td>
          </ng-container>
          <mat-menu #menuItem="matMenu">
            <ng-template matMenuContent let-itemSelected="itemSelected">
              <button mat-menu-item (click)="updateItem(itemSelected)">Modifier</button>
              <button mat-menu-item>Supprimer</button>
            </ng-template>
          </mat-menu>  
          <!-- Expanded Content Column - The detail row is made up of this one column that spans across all columns -->
          <ng-container matColumnDef="expandedDetail">
            <td mat-cell *matCellDef="let element" [attr.colspan]="displayedColumns.length">
              <div class="element-detail"
                  [@detailExpand]="element == expandedElement ? 'expanded' : 'collapsed'">
                <div class="element-sum">
                  <div class="element-img"> {{element.img}} </div>
                  <div>
                    <div class="element-name"> {{element.name}} </div>
                    <div class="element-weight"> {{element.size.length}} </div>
                  </div>
  
                </div>
                <div class="element-description">
                  {{element.description}}
                </div>
              </div>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let element; columns: displayedColumns;"
              class="element-row"
              [class.example-expanded-row]="expandedElement === element"
              (click)="expandedElement = element">
          </tr>
          <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" class="detail-row"></tr>
        </table>
        </mat-tab>
    </mat-tab-group>
  </div>